export class FileDrop {

    constructor(dropzone, callback) {
        dropzone.addEventListener('dragenter', dragenter)
        dropzone.addEventListener('dragover', dragover)
        dropzone.addEventListener('drop', drop)

        function dragenter(e) {
            e.preventDefault()

            let element = e.target
            if (element.className == 'ataxx') {
                element.style.border = '4px dashed gray'
            }
        }

        function dragover(e) {
            e.preventDefault()
            e.dataTransfer.dropEffect = 'copy'
        }

        function drop(e) {
            e.preventDefault()

            const files = e.dataTransfer.files

            let file = ''
            if (files.length != 1) {
                // TODO load all files and show as play list
                console.error('one file at a time, please')
                return
            } else {
                file = files[0]
            }

            console.log('loading ' + file.name + ' (' + file.size + ' bytes)')

            var reader = new FileReader(file)
            reader.onload = e => {
                console.log(`file content of ${file.name}`, e.target.result)
                callback(file.name, e.target.result)
            }

            reader.onerror = e => {
                console.log(e.target.error)
                const $flash = $figure.querySelector('.flash')
                $flash.innnerHTML = e.target.error
            }

            reader.readAsText(file)
        }
    }
}
