export class Plugins {

    constructor() {
        this.plugins = []
    }

    register(plugin) {
        if (!('understands' in plugin)) {
            throw new PluginException(`${plugin.constructor.name} must supply an 'understands()' method.`)
        }

        this.plugins.push(plugin)
    }

    get(...params) {
        const predicate = plugin => plugin.understands(params)
        return this.plugins.filter(predicate)
    }
}