export class TableRenderer {

    constructor($grid) {
        this.$grid = $grid
    }

    draw(board) {
        const colors = { o: 'white', x: 'black', '': '' }
        for (let row = 0; row < board.length; row++) {
            for (let column = 0; column < board[row].length; column++) {
                const value = board[row][column]
                this.$grid[row].cells[1 + column].className = colors[value]
            }
        }
    }

    animateMove(move) {
        const { source, destination } = move

        if (source) {
            this.$grid[source.row].cells[1 + source.column].classList.add('source')
        }

        this.$grid[destination.row].cells[1 + destination.column].classList.add('destination')
    }
}
